Subject: Re: [PATCH net-next v3] net: enetc: Replace ifdef with IS_ENABLED

From: Vadim Fedorenko <[email-masked]>
Date: Wed, 4 Sep 2024 14:01:06 +0100

On 04/09/2024 12:13, Vladimir Oltean wrote:
> On Wed, Sep 04, 2024 at 12:11:31PM +0100, Vadim Fedorenko wrote:
>> On 04/09/2024 11:51, Martyn Welch wrote:
>>> The enetc driver uses ifdefs when checking whether
>>> CONFIG_FSL_ENETC_PTP_CLOCK is enabled in a number of places. This works
>>> if the driver is compiled in but fails if the driver is available as a
>>> kernel module. Replace the instances of ifdef with use of the IS_ENABLED
>>> macro, that will evaluate as true when this feature is built as a kernel
>>> module and follows the kernel's coding style.
>>>
>>> Signed-off-by: Martyn Welch <[email-masked]>
>>> Reviewed-by: Vadim Fedorenko <[email-masked]>
>>
>> If there will be v4, please, put yours SoB as the last tag after all
>> other tags.
>>
>> Thanks,
>> Vadim
> 
> What's the deal with this? If I give my review tag now, and the patch
> will subsequently be applied, my Reviewed-by: tag will also appear after
> his SoB.

I think it was discussed several times on the mailing list already,
the latest discussion was recently in this thread:
https://lore.kernel.org/netdev/[email-masked]/

But I have also seen this suggestion from different maintainers.
As you said that if the patch will be applied the tags will go in
historical order. In case of re-submission, historically Reviewed-by
will be earlier in time line, so should be before SoB, AFAIU.

Thanks,
Vadim